import {ZoneResponse} from "./zoneResponse";
import {SubContractorResponse} from "./subContractorResponse";

/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class SubcontractorZoneSecondResponse {
    public data: { [s: string]: { [s: string]: number } };

    public seconds: { [s: string]: number };


    public zones: { [s: string]: ZoneResponse };

    public subcontractors: { [s: string]: SubContractorResponse };

    constructor(data: { [s: string]: { [s: string]: number } }, seconds: { [p: string]: number }, zones: { [p: string]: ZoneResponse }, subcontractors: { [p: string]: SubContractorResponse }) {
        this.data = data;
        this.seconds = seconds;
        this.zones = zones;
        this.subcontractors = subcontractors;
    }


}